#!/bin/bash
#--------------------------------------------
# FFMPEG HLS
# ----------
# Transfers input from TCP to the HTTP Live
# Streaming (HLS) format for delivery to all
# Apple Devices, VLC clients and for use by
# Android Chrome 
#--------------------------------------------

# read the common library
# -----------------------
. ./ffmpeg_common.sh

ffserver -f ffserver_asf.conf &

while [ 1 > 0 ]; do

	echo ffmpeg $tcpinput $hlsformat $hlsoutput $iceformat $icecastoutput $windowsoutput
	ffmpeg $tcpinput $hlsformat $hlsoutput $iceformat $icecastoutput $windowsoutput

done

killall -15 ffserver

#-----------
#end of file
#-----------
