#!/bin/bash
#--------------------------------------------
# FFMPEG HLS
# ----------
# Transfers input from TCP to the HTTP Live
# Streaming (HLS) format for delivery to all
# Apple Devices, VLC clients and for use by
# Android Chrome 
#--------------------------------------------
# $1 : source host
#--------------------------------------------
echo "HLS Proxy Server"
x=$1
if [ -z "$x" ]; then
	echo "source host name of IP parameter 1 is missing"
	exit
fi
# read the common library
# -----------------------
. ./ffmpeg_common.sh

while [ 1 > 0 ]; do

	echo ffmpeg $hlsinput $copy $hlsoutput
	ffmpeg $hlsinput $copy $hlsoutput

done

#-----------
#end of file
#-----------
