#!/bin/bash
echo enter mpeg2 transport stream processor activation
echo parameter 1 : $1
echo parameter 2 : $2

export listen=$1
if [ -z "$listen" ]; then
	export listen=8183
fi

export forward=$2
if [ -z "$forward" ]; then
	export forward=localhost:8185
fi

echo ./mp2ts --program 1 --listen ${listen} --aac --verbose --capture stream/mp2ts.ts --forward ${forward} "Amenesik MPEG2TS Processor "
     ./mp2ts --program 1 --listen ${listen} --aac --verbose --capture stream/mp2ts.ts --forward ${forward} "Amenesik MPEG2TS Processor "> mp2ts.out 2> mp2ts.err &

echo leave mpeg2 transport stream processor activation
#eof

