#!/bin/bash

export pid=$(netstat -a -p -n | grep ESTA | grep ffmpeg | grep -v grep | tr -s ' ' | cut -f 7 -d ' ' | cut -f 1 -d '/')
if [ -z "$pid" ]; then
        echo ffmpeg not connected
else
        echo ffmpeg connected as $pid
        kill -15 $pid
        sleep 1
        kill -15 $pid > /dev/null 2> /dev/null
        sleep 1
        kill -9 $pid > /dev/null 2> /dev/null
fi


export pid=$(netstat -a -p -n | grep CLOSE_WAIT | grep ffmpeg | grep -v grep | tr -s ' ' | cut -f 7 -d ' ' | cut -f 1 -d '/')
if [ -z "$pid" ]; then
        echo ffmpeg notin close wait 
else
        echo ffmpeg in close wait as $pid
        kill -15 $pid
        sleep 1
        kill -15 $pid > /dev/null 2> /dev/null
        sleep 1
        kill -9 $pid > /dev/null 2> /dev/null
fi

export pid=$(netstat -a -p -n | grep LISTEN | grep ffmpeg | grep -v grep | tr -s ' ' | cut -f 7 -d ' ' | cut -f 1 -d '/')
if [ -z "$pid" ]; then
        echo ffmpeg not listening
else
        echo ffmpeg listening as $pid
fi

#eof

