#!/bin/bash
#--------------------------------------------
# FFMPEG STREAM
# --------------
# Transfers input from TCP to ICECAST, HLS
# and to WINDOWS delivery format for use by
# all standard viewers.
#--------------------------------------------

# read the common library
# -----------------------
. ./ffmpeg_common.sh

echo ffmpeg $tcpinput $iceformat $icecastoutput $hlsformat $hlsoutput
ffmpeg $tcpinput $iceformat $icecastoutput $hlsformat $hlsoutput

#-----------
#end of file
#-----------
